#include <string>
#include <vector>

#define TOT_MONTHS 12
#define OVERWORKED 2

using namespace std;

class Employee
{
private:
	string name;
	double salary;
	int ratings[TOT_MONTHS];
	string * companies;
	int companiesTotal;
	vector<string> todo;

public:
	Employee(const string & name, double salary, int companies);
	~Employee();

	string GetName() const;
	double GetSalary() const;
	bool SetRating(int index,int value);
	int GetRating (int index) const;

	void SetCompanies();
	void DisplayCompanies() const;
	void AddTodo(const string & item);
	void DisplayTodoList() const;
	void TodoComplete();
	bool IsOverworked() const;
};

inline string Employee::GetName() const
{
	return name;
}

inline double Employee::GetSalary() const
{
	return salary;
}